<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>pandoc-examples</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
</head>
<body>
<p>To see the output created by each of the commands below, click on the name of the output file:</p>
<ol type="1">
<li><p>HTML fragment:</p>
<pre><code>pandoc MANUAL.txt -o example1.html</code></pre></li>
<li><p>Standalone HTML file:</p>
<pre><code>pandoc -s MANUAL.txt -o example2.html</code></pre></li>
<li><p>HTML with table of contents, CSS, and custom footer:</p>
<pre><code>pandoc -s --toc -c pandoc.css -A footer.html MANUAL.txt -o example3.html</code></pre></li>
<li><p>LaTeX:</p>
<pre><code>pandoc -s MANUAL.txt -o example4.tex</code></pre></li>
<li><p>From LaTeX to markdown:</p>
<pre><code>pandoc -s example4.tex -o example5.text</code></pre></li>
<li><p>reStructuredText:</p>
<pre><code>pandoc -s -t rst --toc MANUAL.txt -o example6.text</code></pre></li>
<li><p>Rich text format (RTF):</p>
<pre><code>pandoc -s MANUAL.txt -o example7.rtf</code></pre></li>
<li><p>Beamer slide show:</p>
<pre><code>pandoc -t beamer SLIDES -o example8.pdf</code></pre></li>
<li><p>DocBook XML:</p>
<pre><code>pandoc -s -t docbook MANUAL.txt -o example9.db</code></pre></li>
<li><p>Man page:</p>
<pre><code>pandoc -s -t man pandoc.1.md -o example10.1</code></pre></li>
<li><p>ConTeXt:</p>
<pre><code>pandoc -s -t context MANUAL.txt -o example11.tex</code></pre></li>
<li><p>Converting a web page to markdown:</p>
<pre><code>pandoc -s -r html http://www.gnu.org/software/make/ -o example12.text</code></pre></li>
<li><p>From markdown to PDF:</p>
<pre><code>pandoc MANUAL.txt --pdf-engine=xelatex -o example13.pdf</code></pre></li>
<li><p>PDF with numbered sections and a custom LaTeX header:</p>
<pre><code>pandoc -N --template=template.tex --variable mainfont=&quot;Palatino&quot; --variable sansfont=&quot;Helvetica&quot; --variable monofont=&quot;Menlo&quot; --variable fontsize=12pt --variable version=2.0 MANUAL.txt --pdf-engine=xelatex --toc -o example14.pdf</code></pre></li>
<li><p>ipynb (Jupyter notebook):</p>
<pre><code>pandoc example15.md -o example15.ipynb</code></pre></li>
<li><p>HTML slide shows:</p>
<pre><code>pandoc -s --mathml -i -t dzslides SLIDES -o example16a.html</code></pre>
<pre><code>pandoc -s --webtex -i -t slidy SLIDES -o example16b.html</code></pre>
<pre><code>pandoc -s --mathjax -i -t revealjs SLIDES -o example16d.html</code></pre></li>
<li><p>TeX math in HTML:</p>
<pre><code>pandoc math.text -s -o mathDefault.html</code></pre>
<pre><code>pandoc math.text -s --mathml  -o mathMathML.html</code></pre>
<pre><code>pandoc math.text -s --webtex  -o mathWebTeX.html</code></pre>
<pre><code>pandoc math.text -s --mathjax -o mathMathJax.html</code></pre>
<pre><code>pandoc math.text -s --katex   -o mathKaTeX.html</code></pre></li>
<li><p>Syntax highlighting of delimited code blocks:</p>
<pre><code>pandoc code.text -s --highlight-style pygments -o example18a.html</code></pre>
<pre><code>pandoc code.text -s --highlight-style kate -o example18b.html</code></pre>
<pre><code>pandoc code.text -s --highlight-style monochrome -o example18c.html</code></pre>
<pre><code>pandoc code.text -s --highlight-style espresso -o example18d.html</code></pre>
<pre><code>pandoc code.text -s --highlight-style haddock -o example18e.html</code></pre>
<pre><code>pandoc code.text -s --highlight-style tango -o example18f.html</code></pre>
<pre><code>pandoc code.text -s --highlight-style zenburn -o example18g.html</code></pre></li>
<li><p>GNU Texinfo, converted to info and HTML formats:</p>
<pre><code>pandoc MANUAL.txt -s -o example19.texi</code></pre>
<pre><code>makeinfo --no-validate --force example19.texi -o example19.info</code></pre>
<pre><code>makeinfo --no-validate --force example19.texi --html -o example19</code></pre></li>
<li><p>OpenDocument XML:</p>
<pre><code>pandoc MANUAL.txt -s -t opendocument -o example20.xml</code></pre></li>
<li><p>ODT (OpenDocument Text, readable by OpenOffice):</p>
<pre><code>pandoc MANUAL.txt -o example21.odt</code></pre></li>
<li><p>MediaWiki markup:</p>
<pre><code>pandoc -s -t mediawiki --toc MANUAL.txt -o example22.wiki</code></pre></li>
<li><p>EPUB ebook:</p>
<pre><code>pandoc MANUAL.txt -o MANUAL.epub</code></pre></li>
<li><p>Markdown citations:</p>
<pre><code>pandoc -s --bibliography biblio.bib --citeproc CITATIONS -o example24a.html</code></pre>
<pre><code>pandoc -s --bibliography biblio.json --citeproc --csl chicago-fullnote-bibliography.csl CITATIONS -o example24b.html</code></pre>
<pre><code>pandoc -s --bibliography biblio.yaml --citeproc --csl ieee.csl CITATIONS -t man -o example24c.1</code></pre></li>
<li><p>Textile writer:</p>
<pre><code>pandoc -s MANUAL.txt -t textile -o example25.textile</code></pre></li>
<li><p>Textile reader:</p>
<pre><code>pandoc -s example25.textile -f textile -t html -o example26.html</code></pre></li>
<li><p>Org-mode:</p>
<pre><code>pandoc -s MANUAL.txt -o example27.org</code></pre></li>
<li><p>AsciiDoc:</p>
<pre><code>pandoc -s MANUAL.txt -t asciidoc -o example28.txt</code></pre></li>
<li><p>Word docx:</p>
<pre><code>pandoc -s MANUAL.txt -o example29.docx</code></pre></li>
<li><p>LaTeX math to docx:</p>
<pre><code>pandoc -s math.tex -o example30.docx</code></pre></li>
<li><p>DocBook to markdown:</p>
<pre><code>pandoc -f docbook -t markdown -s howto.xml -o example31.text</code></pre></li>
<li><p>MediaWiki to html5:</p>
<pre><code>pandoc -f mediawiki -t html5 -s haskell.wiki -o example32.html</code></pre></li>
<li><p>Custom writer:</p>
<pre><code>pandoc -t sample.lua example33.text -o example33.html</code></pre></li>
<li><p>Docx with a reference docx:</p>
<pre><code>pandoc --reference-doc twocolumns.docx -o UsersGuide.docx MANUAL.txt</code></pre></li>
<li><p>Docx to markdown, including math:</p>
<pre><code>pandoc -s example30.docx -t markdown -o example35.md</code></pre></li>
<li><p>EPUB to plain text:</p>
<pre><code>pandoc MANUAL.epub -t plain -o example36.text</code></pre></li>
<li><p>Using a template to produce a table from structured data:</p>
<pre><code>pandoc fishwatch.yaml -t rst --template fishtable.rst -o fish.rst # see also the partial species.rst</code></pre></li>
<li><p>Converting a bibliography from BibTeX to CSL JSON:</p>
<pre><code>pandoc biblio.bib -t csljson -o biblio.json</code></pre></li>
<li><p>Producing a formatted version of a bibliography:</p>
<pre><code>pandoc biblio.bib --citeproc --csl ieee.csl -s -o biblio.html</code></pre></li>
</ol>
</body>
</html>
